diff --git a/sys/dev/netif/bge/if_bge.c b/sys/dev/netif/bge/if_bge.c
index f0af838..b53d246 100644
--- a/sys/dev/netif/bge/if_bge.c
+++ b/sys/dev/netif/bge/if_bge.c
@@ -1020,7 +1020,7 @@ bge_newbuf_std(struct bge_softc *sc, int i, int init)
 	bus_dmamap_t map;
 	int error, nsegs;
 
-	m_new = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return ENOBUFS;
 	m_new->m_len = m_new->m_pkthdr.len = MCLBYTES;
@@ -1083,7 +1083,7 @@ bge_newbuf_jumbo(struct bge_softc *sc, int i, int init)
 	bus_addr_t paddr;
 
 	/* Allocate the mbuf. */
-	MGETHDR(m_new, init ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, init ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m_new == NULL)
 		return ENOBUFS;
 
@@ -3572,7 +3572,7 @@ bge_encap(struct bge_softc *sc, struct mbuf **m_head0, uint32_t *txidx,
 		 * DMA read operation.  If it fails, keep moving on using
 		 * the original mbuf chain.
 		 */
-		m_new = m_defrag(m_head, MB_DONTWAIT);
+		m_new = m_defrag(m_head, M_NOWAIT);
 		if (m_new != NULL)
 			*m_head0 = m_head = m_new;
 	}
@@ -5040,7 +5040,7 @@ bge_defrag_shortdma(struct mbuf *m)
 	}
 
 	if (found > 1)
-		n = m_defrag(m, MB_DONTWAIT);
+		n = m_defrag(m, M_NOWAIT);
 	else
 		n = m;
 	return n;
diff --git a/sys/dev/netif/bnx/if_bnx.c b/sys/dev/netif/bnx/if_bnx.c
index c0d9270..98f2f53 100644
--- a/sys/dev/netif/bnx/if_bnx.c
+++ b/sys/dev/netif/bnx/if_bnx.c
@@ -810,7 +810,7 @@ bnx_newbuf_std(struct bnx_rx_ret_ring *ret, int i, int init)
 	rb = &ret->bnx_std->bnx_rx_std_buf[i];
 	KASSERT(!rb->bnx_rx_refilled, ("RX buf %dth has been refilled", i));
 
-	m_new = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL) {
 		error = ENOBUFS;
 		goto back;
@@ -882,7 +882,7 @@ bnx_newbuf_jumbo(struct bnx_softc *sc, int i, int init)
 	bus_addr_t paddr;
 
 	/* Allocate the mbuf. */
-	MGETHDR(m_new, init ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, init ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m_new == NULL)
 		return ENOBUFS;
 
@@ -3446,7 +3446,7 @@ bnx_encap(struct bnx_tx_ring *txr, struct mbuf **m_head0, uint32_t *txidx,
 		 * DMA read operation.  If it fails, keep moving on using
 		 * the original mbuf chain.
 		 */
-		m_new = m_defrag(m_head, MB_DONTWAIT);
+		m_new = m_defrag(m_head, M_NOWAIT);
 		if (m_new != NULL)
 			*m_head0 = m_head = m_new;
 	}
@@ -5038,7 +5038,7 @@ bnx_defrag_shortdma(struct mbuf *m)
 	}
 
 	if (found > 1)
-		n = m_defrag(m, MB_DONTWAIT);
+		n = m_defrag(m, M_NOWAIT);
 	else
 		n = m;
 	return n;
diff --git a/sys/dev/netif/bwi/if_bwi.c b/sys/dev/netif/bwi/if_bwi.c
index f3e81a2..1ad2b01 100644
--- a/sys/dev/netif/bwi/if_bwi.c
+++ b/sys/dev/netif/bwi/if_bwi.c
@@ -2611,7 +2611,7 @@ bwi_newbuf(struct bwi_softc *sc, int buf_idx, int init)
 
 	KKASSERT(buf_idx < BWI_RX_NDESC);
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		error = ENOBUFS;
 
@@ -3087,7 +3087,7 @@ bwi_encap(struct bwi_softc *sc, int idx, struct mbuf *m,
 	/*
 	 * Setup the embedded TX header
 	 */
-	M_PREPEND(m, sizeof(*hdr), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(*hdr), M_NOWAIT);
 	if (m == NULL) {
 		if_printf(&ic->ic_if, "prepend TX header failed\n");
 		return ENOBUFS;
@@ -3148,7 +3148,7 @@ bwi_encap(struct bwi_softc *sc, int idx, struct mbuf *m,
 	if (error) {	/* error == EFBIG */
 		struct mbuf *m_new;
 
-		m_new = m_defrag(m, MB_DONTWAIT);
+		m_new = m_defrag(m, M_NOWAIT);
 		if (m_new == NULL) {
 			if_printf(&ic->ic_if, "can't defrag TX buffer\n");
 			error = ENOBUFS;
diff --git a/sys/dev/netif/cs/if_cs.c b/sys/dev/netif/cs/if_cs.c
index 970aa9e..05aa1f2 100644
--- a/sys/dev/netif/cs/if_cs.c
+++ b/sys/dev/netif/cs/if_cs.c
@@ -839,12 +839,12 @@ cs_get_packet(struct cs_softc *sc)
 		return -1;
 	}
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m==NULL)
 		return -1;
 
 	if (length > MHLEN) {
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if (!(m->m_flags & M_EXT)) {
 			m_freem(m);
 			return -1;
diff --git a/sys/dev/netif/dc/if_dc.c b/sys/dev/netif/dc/if_dc.c
index b8e7508..95b307e 100644
--- a/sys/dev/netif/dc/if_dc.c
+++ b/sys/dev/netif/dc/if_dc.c
@@ -2318,7 +2318,7 @@ dc_newbuf(struct dc_softc *sc, int i, struct mbuf *m)
 	c = &sc->dc_ldata->dc_rx_list[i];
 
 	if (m == NULL) {
-		m_new = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m_new = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (m_new == NULL)
 			return (ENOBUFS);
 		m_new->m_len = m_new->m_pkthdr.len = MCLBYTES;
@@ -3128,7 +3128,7 @@ dc_start(struct ifnet *ifp, struct ifaltq_subque *ifsq)
 			}
 
 			/* only coalesce if have >1 mbufs */
-			m_defragged = m_defrag(m_head, MB_DONTWAIT);
+			m_defragged = m_defrag(m_head, M_NOWAIT);
 			if (m_defragged == NULL) {
 				ifq_set_oactive(&ifp->if_snd);
 				ifq_prepend(&ifp->if_snd, m_head);
diff --git a/sys/dev/netif/de/if_de.c b/sys/dev/netif/de/if_de.c
index 94e0570..d4618c9 100644
--- a/sys/dev/netif/de/if_de.c
+++ b/sys/dev/netif/de/if_de.c
@@ -145,7 +145,7 @@ tulip_txprobe(tulip_softc_t *sc)
      * either is connected so the transmit is the only way
      * to verify the connectivity.
      */
-    MGETHDR(m, MB_DONTWAIT, MT_DATA);
+    MGETHDR(m, M_NOWAIT, MT_DATA);
     if (m == NULL)
 	return 0;
     /*
@@ -3133,11 +3133,11 @@ tulip_rx_intr(tulip_softc_t *sc)
 
 #if defined(TULIP_COPY_RXDATA)
 	    if (!accept || total_len >= (MHLEN - 2))
-		m0 = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m0 = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	    else
-		m0 = m_gethdr(MB_DONTWAIT, MT_DATA);
+		m0 = m_gethdr(M_NOWAIT, MT_DATA);
 #else
-	    m0 = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	    m0 = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 #endif
 
 	    if (accept
@@ -3495,7 +3495,7 @@ tulip_txput(tulip_softc_t *sc, struct mbuf *m)
 		 * entries that we can use for one packet, so we have
 		 * recopy it into one mbuf and then try again.
 		 */
-		m0 = m_defrag(m, MB_DONTWAIT);
+		m0 = m_defrag(m, M_NOWAIT);
 		if (m0 == NULL)
 		    goto finish;
 		m = m0;
diff --git a/sys/dev/netif/ed/if_ed.c b/sys/dev/netif/ed/if_ed.c
index eb9f1ce..c831b07 100644
--- a/sys/dev/netif/ed/if_ed.c
+++ b/sys/dev/netif/ed/if_ed.c
@@ -2756,7 +2756,7 @@ ed_get_packet(struct ed_softc *sc, char *buf, u_short len)
 	 * to the header. The +2 is to compensate for the alignment
 	 * fixup below.
 	 */
-	m = m_getl(len + 2, MB_DONTWAIT, MT_DATA, M_PKTHDR, NULL);
+	m = m_getl(len + 2, M_NOWAIT, MT_DATA, M_PKTHDR, NULL);
 	if (m == NULL)
 		return;
 	m->m_pkthdr.rcvif = ifp;
diff --git a/sys/dev/netif/em/if_em.c b/sys/dev/netif/em/if_em.c
index 27b5286..1e3bc1c 100644
--- a/sys/dev/netif/em/if_em.c
+++ b/sys/dev/netif/em/if_em.c
@@ -3080,7 +3080,7 @@ em_newbuf(struct adapter *adapter, int i, int init)
 	struct em_buffer *rx_buffer;
 	int error, nseg;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		adapter->mbuf_cluster_failed++;
 		if (init) {
diff --git a/sys/dev/netif/emx/if_emx.c b/sys/dev/netif/emx/if_emx.c
index d3e59d2..70e2f52 100644
--- a/sys/dev/netif/emx/if_emx.c
+++ b/sys/dev/netif/emx/if_emx.c
@@ -2669,7 +2669,7 @@ emx_newbuf(struct emx_rxdata *rdata, int i, int init)
 	struct emx_rxbuf *rx_buffer;
 	int error, nseg;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		if (init) {
 			if_printf(&rdata->sc->arpcom.ac_if,
diff --git a/sys/dev/netif/ep/if_ep.c b/sys/dev/netif/ep/if_ep.c
index 0ddf5d9..f50e642 100644
--- a/sys/dev/netif/ep/if_ep.c
+++ b/sys/dev/netif/ep/if_ep.c
@@ -663,7 +663,7 @@ read_again:
     rx_fifo = rx_fifo2 = status & RX_BYTES_MASK;
 
     if (EP_FTST(sc, F_RX_FIRST)) {
-	m = m_getl(rx_fifo, MB_DONTWAIT, MT_DATA, M_PKTHDR, NULL);
+	m = m_getl(rx_fifo, M_NOWAIT, MT_DATA, M_PKTHDR, NULL);
 	if (!m)
 	    goto out;
 	sc->top = sc->mcur = top = m;
@@ -689,7 +689,7 @@ read_again:
 	lenthisone = min(rx_fifo, M_TRAILINGSPACE(m));
 	if (lenthisone == 0) {	/* no room in this one */
 	    mcur = m;
-	    m = m_getl(rx_fifo, MB_DONTWAIT, MT_DATA, 0, NULL);
+	    m = m_getl(rx_fifo, M_NOWAIT, MT_DATA, 0, NULL);
 	    if (!m)
 		goto out;
 	    m->m_len = 0;
diff --git a/sys/dev/netif/et/if_et.c b/sys/dev/netif/et/if_et.c
index 55a2f11..738901d 100644
--- a/sys/dev/netif/et/if_et.c
+++ b/sys/dev/netif/et/if_et.c
@@ -2104,7 +2104,8 @@ et_newbuf(struct et_rxbuf_data *rbd, int buf_idx, int init, int len0)
 	KKASSERT(buf_idx < ET_RX_NDESC);
 	rb = &rbd->rbd_buf[buf_idx];
 
-	m = m_getl(len0, init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR, &len);
+	m = m_getl(len0, init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR,
+		   &len);
 	if (m == NULL) {
 		error = ENOBUFS;
 
@@ -2363,7 +2364,7 @@ et_newbuf_jumbo(struct et_rxbuf_data *rbd, int buf_idx, int init)
 
 	error = ENOBUFS;
 
-	MGETHDR(m, init ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, init ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		if (init) {
 			if_printf(&sc->arpcom.ac_if, "MGETHDR failed\n");
diff --git a/sys/dev/netif/ex/if_ex.c b/sys/dev/netif/ex/if_ex.c
index 98eab9f..9719af4 100644
--- a/sys/dev/netif/ex/if_ex.c
+++ b/sys/dev/netif/ex/if_ex.c
@@ -683,7 +683,7 @@ ex_rx_intr(struct ex_softc *sc)
 		pkt_len = inw(iobase + IO_PORT_REG);
 
 		if (rx_status & RCV_OK_bit) {
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			ipkt = m;
 			if (ipkt == NULL) {
 				IFNET_STAT_INC(ifp, iqdrops, 1);
@@ -694,7 +694,7 @@ ex_rx_intr(struct ex_softc *sc)
 
 				while (pkt_len > 0) {
 					if (pkt_len > MINCLSIZE) {
-						MCLGET(m, MB_DONTWAIT);
+						MCLGET(m, M_NOWAIT);
 						if (m->m_flags & M_EXT) {
 							m->m_len = MCLBYTES;
 						} else {
@@ -719,7 +719,8 @@ ex_rx_intr(struct ex_softc *sc)
 					pkt_len -= m->m_len;
 
 					if (pkt_len > 0) {
-						MGET(m->m_next, MB_DONTWAIT, MT_DATA);
+						MGET(m->m_next, M_NOWAIT,
+						     MT_DATA);
 						if (m->m_next == NULL) {
 							m_freem(ipkt);
 							IFNET_STAT_INC(ifp, iqdrops, 1);
diff --git a/sys/dev/netif/fe/if_fe.c b/sys/dev/netif/fe/if_fe.c
index b7254a3..277ca94 100644
--- a/sys/dev/netif/fe/if_fe.c
+++ b/sys/dev/netif/fe/if_fe.c
@@ -1847,13 +1847,13 @@ fe_get_packet (struct fe_softc * sc, u_short len)
 	 */
 
 	/* Allocate an mbuf with packet header info.  */
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return -1;
 
 	/* Attach a cluster if this packet doesn't fit in a normal mbuf.  */
 	if (len > MHLEN - NFS_MAGIC_OFFSET) {
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if (!(m->m_flags & M_EXT)) {
 			m_freem(m);
 			return -1;
diff --git a/sys/dev/netif/fwe/if_fwe.c b/sys/dev/netif/fwe/if_fwe.c
index 0483765..f6d2004 100644
--- a/sys/dev/netif/fwe/if_fwe.c
+++ b/sys/dev/netif/fwe/if_fwe.c
@@ -346,7 +346,7 @@ found:
 		STAILQ_INIT(&xferq->stdma);
 		xferq->stproc = NULL;
 		for (i = 0; i < xferq->bnchunk; i ++) {
-			m = m_getcl(MB_WAIT, MT_DATA, M_PKTHDR);
+			m = m_getcl(M_WAITOK, MT_DATA, M_PKTHDR);
 			xferq->bulkxfer[i].mbuf = m;
 			if (m != NULL) {
 				m->m_len = m->m_pkthdr.len = m->m_ext.ext_size;
@@ -504,7 +504,7 @@ fwe_as_output(struct fwe_softc *fwe, struct ifnet *ifp)
 		BPF_MTAP(ifp, m);
 
 		/* keep ip packet alignment for alpha */
-		M_PREPEND(m, ETHER_ALIGN, MB_DONTWAIT);
+		M_PREPEND(m, ETHER_ALIGN, M_NOWAIT);
 		fp = &xfer->send.hdr;
 		*(u_int32_t *)&xfer->send.hdr = *(int32_t *)&fwe->pkt_hdr;
 		fp->mode.stream.len = m->m_pkthdr.len;
@@ -550,7 +550,7 @@ fwe_as_input(struct fw_xferq *xferq)
 		m = sxfer->mbuf;
 
 		/* insert new rbuf */
-		sxfer->mbuf = m0 = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		sxfer->mbuf = m0 = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (m0 != NULL) {
 			m0->m_len = m0->m_pkthdr.len = m0->m_ext.ext_size;
 			STAILQ_INSERT_TAIL(&xferq->stfree, sxfer, link);
diff --git a/sys/dev/netif/fxp/if_fxp.c b/sys/dev/netif/fxp/if_fxp.c
index 934dcbb..a5bfd10 100644
--- a/sys/dev/netif/fxp/if_fxp.c
+++ b/sys/dev/netif/fxp/if_fxp.c
@@ -1106,7 +1106,7 @@ tbdinit:
 				continue;
 			}
 
-			mn = m_dup(mb_head, MB_DONTWAIT);
+			mn = m_dup(mb_head, M_NOWAIT);
 			if (mn == NULL) {
 				m_freem(mb_head);
 				IFNET_STAT_INC(ifp, oerrors, 1);
@@ -1957,7 +1957,7 @@ fxp_add_rfabuf(struct fxp_softc *sc, struct mbuf *oldm)
 	struct mbuf *m;
 	struct fxp_rfa *rfa, *p_rfa;
 
-	m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) { /* try to recycle the old mbuf instead */
 		if (oldm == NULL)
 			return 1;
diff --git a/sys/dev/netif/igb/if_igb.c b/sys/dev/netif/igb/if_igb.c
index 10f3923..3006c10 100644
--- a/sys/dev/netif/igb/if_igb.c
+++ b/sys/dev/netif/igb/if_igb.c
@@ -2324,7 +2324,7 @@ igb_newbuf(struct igb_rx_ring *rxr, int i, boolean_t wait)
 	struct igb_rx_buf *rxbuf;
 	int error, nseg;
 
-	m = m_getcl(wait ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(wait ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		if (wait) {
 			if_printf(&rxr->sc->arpcom.ac_if,
diff --git a/sys/dev/netif/iwi/if_iwi.c b/sys/dev/netif/iwi/if_iwi.c
index 02f0512..67d28b5 100644
--- a/sys/dev/netif/iwi/if_iwi.c
+++ b/sys/dev/netif/iwi/if_iwi.c
@@ -782,7 +782,7 @@ iwi_alloc_rx_ring(struct iwi_softc *sc, struct iwi_rx_ring *ring, int count)
 			goto fail;
 		}
 
-		data->m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		data->m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (data->m == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not allocate rx mbuf\n");
@@ -1232,7 +1232,7 @@ iwi_frame_intr(struct iwi_softc *sc, struct iwi_rx_data *data, int i,
 	 * drop the received packet and reuse the old mbuf. In the unlikely
 	 * case that the old mbuf can't be reloaded either, explicitly panic.
 	 */
-	mnew = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	mnew = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (mnew == NULL) {
 		IFNET_STAT_INC(ifp, ierrors, 1);
 		return;
@@ -1859,7 +1859,7 @@ iwi_tx_start(struct ifnet *ifp, struct mbuf *m0, struct ieee80211_node *ni,
 		return error;
 	}
 	if (error != 0) {
-		mnew = m_defrag(m0, MB_DONTWAIT);
+		mnew = m_defrag(m0, M_NOWAIT);
 		if (mnew == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not defragment mbuf\n");
diff --git a/sys/dev/netif/iwl/iwl2100.c b/sys/dev/netif/iwl/iwl2100.c
index 539601f..6787b31 100644
--- a/sys/dev/netif/iwl/iwl2100.c
+++ b/sys/dev/netif/iwl/iwl2100.c
@@ -1653,7 +1653,7 @@ iwl2100_alloc_cmd(struct iwl2100_softc *sc)
 {
 	KKASSERT(sc->sc_cmd == NULL);
 
-	sc->sc_cmd = m_getcl(MB_WAIT, MT_DATA, M_PKTHDR);
+	sc->sc_cmd = m_getcl(M_WAITOK, MT_DATA, M_PKTHDR);
 	if (sc->sc_cmd == NULL)
 		return ENOBUFS;
 	return 0;
@@ -1673,7 +1673,7 @@ iwl2100_newbuf(struct iwl2100_softc *sc, int buf_idx, int init)
 	KKASSERT(buf_idx < IWL2100_RX_NDESC);
 	rb = &rr->rr_buf[buf_idx];
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		error = ENOBUFS;
 
@@ -3332,7 +3332,7 @@ iwl2100_encap(struct iwl2100_softc *sc, struct mbuf *m)
 	/*
 	 * Prepend and setup hardware TX header
 	 */
-	M_PREPEND(m, sizeof(*th), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(*th), M_NOWAIT);
 	if (m == NULL) {
 		if_printf(&sc->sc_ic.ic_if, "prepend TX header failed\n");
 		return ENOBUFS;
@@ -3372,7 +3372,7 @@ iwl2100_encap(struct iwl2100_softc *sc, struct mbuf *m)
 	if (error) {	/* error == EFBIG */
 		struct mbuf *m_new;
 
-		m_new = m_defrag(m, MB_DONTWAIT);
+		m_new = m_defrag(m, M_NOWAIT);
 		if (m_new == NULL) {
 			if_printf(&sc->sc_ic.ic_if, "can't defrag TX mbuf\n");
 			error = ENOBUFS;
diff --git a/sys/dev/netif/iwn/if_iwn.c b/sys/dev/netif/iwn/if_iwn.c
index 18c15d7..441e422 100644
--- a/sys/dev/netif/iwn/if_iwn.c
+++ b/sys/dev/netif/iwn/if_iwn.c
@@ -1914,7 +1914,7 @@ iwn_alloc_rx_ring(struct iwn_softc *sc, struct iwn_rx_ring *ring)
 			goto fail;
 		}
 
-		data->m = m_getjcl(MB_DONTWAIT, MT_DATA,
+		data->m = m_getjcl(M_NOWAIT, MT_DATA,
 				   M_PKTHDR, IWN_RBUF_SIZE);
 		if (data->m == NULL) {
 			device_printf(sc->sc_dev,
@@ -2984,7 +2984,7 @@ iwn_rx_done(struct iwn_softc *sc, struct iwn_rx_desc *desc,
 		return;
 	}
 
-	m1 = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, IWN_RBUF_SIZE);
+	m1 = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, IWN_RBUF_SIZE);
 	if (m1 == NULL) {
 		DPRINTF(sc, IWN_DEBUG_ANY, "%s: no mbuf to restock ring\n",
 		    __func__);
@@ -4447,7 +4447,7 @@ iwn_tx_data(struct iwn_softc *sc, struct mbuf *m, struct ieee80211_node *ni)
 			return error;
 		}
 		/* Too many DMA segments, linearize mbuf. */
-		m1 = m_defrag(m, MB_DONTWAIT);
+		m1 = m_defrag(m, M_NOWAIT);
 		if (m1 == NULL) {
 			device_printf(sc->sc_dev,
 			    "%s: could not defrag mbuf\n", __func__);
@@ -4914,7 +4914,7 @@ iwn_cmd(struct iwn_softc *sc, int code, const void *buf, int size, int async)
 		/* Command is too large to fit in a descriptor. */
 		if (totlen > MJUMPAGESIZE)
 			return EINVAL;
-		m = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
+		m = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
 		if (m == NULL)
 			return ENOMEM;
 		cmd = mtod(m, struct iwn_tx_cmd *);
diff --git a/sys/dev/netif/ix/if_ix.c b/sys/dev/netif/ix/if_ix.c
index 6cfaa0e..7c52cd8 100644
--- a/sys/dev/netif/ix/if_ix.c
+++ b/sys/dev/netif/ix/if_ix.c
@@ -3931,9 +3931,9 @@ ix_newbuf(struct ix_rx_ring *rxr, int i, boolean_t wait)
 	struct ix_rx_buf *rxbuf;
 	int flags, error, nseg;
 
-	flags = MB_DONTWAIT;
+	flags = M_NOWAIT;
 	if (__predict_false(wait))
-		flags = MB_WAIT;
+		flags = M_WAITOK;
 
 	m = m_getjcl(flags, MT_DATA, M_PKTHDR, rxr->rx_mbuf_sz);
 	if (m == NULL) {
diff --git a/sys/dev/netif/jme/if_jme.c b/sys/dev/netif/jme/if_jme.c
index acc6d07..ef085fe 100644
--- a/sys/dev/netif/jme/if_jme.c
+++ b/sys/dev/netif/jme/if_jme.c
@@ -3069,7 +3069,7 @@ jme_newbuf(struct jme_rxdata *rdata, struct jme_rxdesc *rxd, int init)
 	bus_dmamap_t map;
 	int error, nsegs;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 	/*
diff --git a/sys/dev/netif/lge/if_lge.c b/sys/dev/netif/lge/if_lge.c
index 8c26601..d2c9262 100644
--- a/sys/dev/netif/lge/if_lge.c
+++ b/sys/dev/netif/lge/if_lge.c
@@ -664,7 +664,7 @@ lge_newbuf(struct lge_softc *sc, struct lge_rx_desc *c, struct mbuf *m)
 	struct lge_jslot *buf;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL) {
 			kprintf("lge%d: no memory for rx list "
 			    "-- packet dropped!\n", sc->lge_unit);
@@ -1168,7 +1168,7 @@ again:
 				continue;
 			}
 
-			m_defragged = m_defrag(m_head, MB_DONTWAIT);
+			m_defragged = m_defrag(m_head, M_NOWAIT);
 			if (m_defragged == NULL) {
 				m_freem(m_head);
 				continue;
diff --git a/sys/dev/netif/lnc/lance.c b/sys/dev/netif/lnc/lance.c
index 87889f6..f2fc0bc 100644
--- a/sys/dev/netif/lnc/lance.c
+++ b/sys/dev/netif/lnc/lance.c
@@ -1,6 +1,5 @@
 /*	$NetBSD: lance.c,v 1.34 2005/12/24 20:27:30 perry Exp $	*/
 /*	$FreeBSD: src/sys/dev/le/lance.c,v 1.2 2006/05/16 21:04:01 marius Exp $	*/
-/*	$DragonFly: src/sys/dev/netif/lnc/lance.c,v 1.7 2008/05/14 11:59:20 sephe Exp $	*/
 
 
 /*-
@@ -346,7 +345,7 @@ lance_get(struct lance_softc *sc, int boff, int totlen)
 	}
 
 	do {
-		newm = m_getl(totlen, MB_DONTWAIT, MT_DATA,
+		newm = m_getl(totlen, M_NOWAIT, MT_DATA,
 			      m0 == NULL ? M_PKTHDR : 0, &mlen);
 		if (newm == NULL)
 			goto bad;
diff --git a/sys/dev/netif/mn/if_mn.c b/sys/dev/netif/mn/if_mn.c
index aab52b6..46441bb 100644
--- a/sys/dev/netif/mn/if_mn.c
+++ b/sys/dev/netif/mn/if_mn.c
@@ -683,7 +683,7 @@ ngmn_connect(hook_p hook)
 	/* Setup a transmit chain with one descriptor */
 	/* XXX: we actually send a 1 byte packet */
 	dp = mn_alloc_desc();
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 	m->m_pkthdr.len = 0;
@@ -700,12 +700,12 @@ ngmn_connect(hook_p hook)
 
 	dp = mn_alloc_desc();
 	m = NULL;
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	if (m == NULL) {
 		mn_free_desc(dp);
 		return (ENOBUFS);
 	}
-	MCLGET(m, MB_WAIT);
+	MCLGET(m, M_WAITOK);
 	if ((m->m_flags & M_EXT) == 0) {
 		mn_free_desc(dp);
 		m_freem(m);
@@ -723,13 +723,13 @@ ngmn_connect(hook_p hook)
 		dp2 = dp;
 		dp = mn_alloc_desc();
 		m = NULL;
-		MGETHDR(m, MB_WAIT, MT_DATA);
+		MGETHDR(m, M_WAITOK, MT_DATA);
 		if (m == NULL) {
 			mn_free_desc(dp);
 			m_freem(m);
 			return (ENOBUFS);
 		}
-		MCLGET(m, MB_WAIT);
+		MCLGET(m, M_WAITOK);
 		if ((m->m_flags & M_EXT) == 0) {
 			mn_free_desc(dp);
 			m_freem(m);
@@ -1171,12 +1171,12 @@ mn_rx_intr(struct softc *sc, u_int32_t vector)
 
 		/* Replenish desc + mbuf supplies */
 		if (!m) {
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m == NULL) {
 				mn_free_desc(dp);
 				return; /* ENOBUFS */
 			}
-			MCLGET(m, MB_DONTWAIT);
+			MCLGET(m, M_NOWAIT);
 			if((m->m_flags & M_EXT) == 0) {
 				mn_free_desc(dp);
 				m_freem(m);
diff --git a/sys/dev/netif/msk/if_msk.c b/sys/dev/netif/msk/if_msk.c
index 38480b1..e4b70b0 100644
--- a/sys/dev/netif/msk/if_msk.c
+++ b/sys/dev/netif/msk/if_msk.c
@@ -724,7 +724,7 @@ msk_newbuf(struct msk_if_softc *sc_if, int idx, int init)
 	bus_dmamap_t map;
 	int error, nseg;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return (ENOBUFS);
 
@@ -773,7 +773,7 @@ msk_jumbo_newbuf(struct msk_if_softc *sc_if, int idx)
 	int nsegs;
 	void *buf;
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 	buf = msk_jalloc(sc_if);
@@ -2427,7 +2427,7 @@ msk_encap(struct msk_if_softc *sc_if, struct mbuf **m_head)
 		}
 	}
 	if (defrag) {
-		m = m_defrag(*m_head, MB_DONTWAIT);
+		m = m_defrag(*m_head, M_NOWAIT);
 		if (m == NULL) {
 			m_freem(*m_head);
 			*m_head = NULL;
diff --git a/sys/dev/netif/mxge/if_mxge.c b/sys/dev/netif/mxge/if_mxge.c
index 209c5a9..1327de1 100644
--- a/sys/dev/netif/mxge/if_mxge.c
+++ b/sys/dev/netif/mxge/if_mxge.c
@@ -2058,9 +2058,9 @@ mxge_get_buf_small(mxge_rx_ring_t *rx, bus_dmamap_t map, int idx,
 	struct mbuf *m;
 	int cnt, err, mflag;
 
-	mflag = MB_DONTWAIT;
+	mflag = M_NOWAIT;
 	if (__predict_false(init))
-		mflag = MB_WAIT;
+		mflag = M_WAITOK;
 
 	m = m_gethdr(mflag, MT_DATA);
 	if (m == NULL) {
@@ -2108,9 +2108,9 @@ mxge_get_buf_big(mxge_rx_ring_t *rx, bus_dmamap_t map, int idx,
 	struct mbuf *m;
 	int cnt, err, mflag;
 
-	mflag = MB_DONTWAIT;
+	mflag = M_NOWAIT;
 	if (__predict_false(init))
-		mflag = MB_WAIT;
+		mflag = M_WAITOK;
 
 	if (rx->cl_size == MCLBYTES)
 		m = m_getcl(mflag, MT_DATA, M_PKTHDR);
diff --git a/sys/dev/netif/my/if_my.c b/sys/dev/netif/my/if_my.c
index 393c8b4..1830f2a 100644
--- a/sys/dev/netif/my/if_my.c
+++ b/sys/dev/netif/my/if_my.c
@@ -1058,13 +1058,13 @@ my_newbuf(struct my_softc * sc, struct my_chain_onefrag * c)
 {
 	struct mbuf    *m_new = NULL;
 
-	MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, M_NOWAIT, MT_DATA);
 	if (m_new == NULL) {
 		kprintf("my%d: no memory for rx list -- packet dropped!\n",
 		       sc->my_unit);
 		return (ENOBUFS);
 	}
-	MCLGET(m_new, MB_DONTWAIT);
+	MCLGET(m_new, M_NOWAIT);
 	if (!(m_new->m_flags & M_EXT)) {
 		kprintf("my%d: no memory for rx list -- packet dropped!\n",
 		       sc->my_unit);
@@ -1287,13 +1287,13 @@ my_encap(struct my_softc * sc, struct my_chain * c, struct mbuf * m_head)
 	 * chain.
 	 */
 	m = m_head;
-	MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, M_NOWAIT, MT_DATA);
 	if (m_new == NULL) {
 		kprintf("my%d: no memory for tx list", sc->my_unit);
 		return (1);
 	}
 	if (m_head->m_pkthdr.len > MHLEN) {
-		MCLGET(m_new, MB_DONTWAIT);
+		MCLGET(m_new, M_NOWAIT);
 		if (!(m_new->m_flags & M_EXT)) {
 			m_freem(m_new);
 			kprintf("my%d: no memory for tx list", sc->my_unit);
diff --git a/sys/dev/netif/ndis/if_ndis.c b/sys/dev/netif/ndis/if_ndis.c
index d76c8fe..564d5be 100644
--- a/sys/dev/netif/ndis/if_ndis.c
+++ b/sys/dev/netif/ndis/if_ndis.c
@@ -1163,7 +1163,7 @@ ndis_rxeof_eth(ndis_handle adapter, ndis_handle ctx, char *addr, void *hdr,
 
 	block = adapter;
 
-	m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return;
 
@@ -1396,7 +1396,7 @@ ndis_rxeof(ndis_handle adapter, ndis_packet **packets, uint32_t pktcnt)
 		} else {
 #ifdef notdef
 			if (p->np_oob.npo_status == NDIS_STATUS_RESOURCES) {
-				m = m_dup(m0, MB_DONTWAIT);
+				m = m_dup(m0, M_NOWAIT);
 				/*
 				 * NOTE: we want to destroy the mbuf here, but
 				 * we don't actually want to return it to the
@@ -1414,7 +1414,7 @@ ndis_rxeof(ndis_handle adapter, ndis_packet **packets, uint32_t pktcnt)
 			} else
 				p->np_oob.npo_status = NDIS_STATUS_PENDING;
 #endif
-			m = m_dup(m0, MB_DONTWAIT);
+			m = m_dup(m0, M_NOWAIT);
 			if (p->np_oob.npo_status == NDIS_STATUS_RESOURCES)
 				p->np_refcnt++;
 			else
diff --git a/sys/dev/netif/nfe/if_nfe.c b/sys/dev/netif/nfe/if_nfe.c
index b67cf8c..5c65e59 100644
--- a/sys/dev/netif/nfe/if_nfe.c
+++ b/sys/dev/netif/nfe/if_nfe.c
@@ -2202,7 +2202,7 @@ nfe_newbuf_std(struct nfe_softc *sc, struct nfe_rx_ring *ring, int idx,
 	struct mbuf *m;
 	int nsegs, error;
 
-	m = m_getcl(wait ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(wait ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 	m->m_len = m->m_pkthdr.len = MCLBYTES;
@@ -2251,7 +2251,7 @@ nfe_newbuf_jumbo(struct nfe_softc *sc, struct nfe_rx_ring *ring, int idx,
 	struct nfe_jbuf *jbuf;
 	struct mbuf *m;
 
-	MGETHDR(m, wait ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, wait ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return ENOBUFS;
 
diff --git a/sys/dev/netif/nge/if_nge.c b/sys/dev/netif/nge/if_nge.c
index 2506b7a..4fc949e 100644
--- a/sys/dev/netif/nge/if_nge.c
+++ b/sys/dev/netif/nge/if_nge.c
@@ -1038,7 +1038,7 @@ nge_newbuf(struct nge_softc *sc, struct nge_desc *c, struct mbuf *m)
 	struct nge_jslot *buf;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL) {
 			kprintf("nge%d: no memory for rx list "
 			    "-- packet dropped!\n", sc->nge_unit);
@@ -1669,7 +1669,7 @@ again:
 				break;
 			}
 
-			m_defragged = m_defrag(m_head, MB_DONTWAIT);
+			m_defragged = m_defrag(m_head, M_NOWAIT);
 			if (m_defragged == NULL) {
 				m_freem(m_head);
 				continue;
diff --git a/sys/dev/netif/pcn/if_pcn.c b/sys/dev/netif/pcn/if_pcn.c
index 5b34bd1..ffddea9 100644
--- a/sys/dev/netif/pcn/if_pcn.c
+++ b/sys/dev/netif/pcn/if_pcn.c
@@ -723,11 +723,11 @@ pcn_newbuf(struct pcn_softc *sc, int idx, struct mbuf *m)
 	c = &sc->pcn_ldata->pcn_rx_list[idx];
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL)
 			return(ENOBUFS);
 
-		MCLGET(m_new, MB_DONTWAIT);
+		MCLGET(m_new, M_NOWAIT);
 		if (!(m_new->m_flags & M_EXT)) {
 			m_freem(m_new);
 			return(ENOBUFS);
@@ -1039,7 +1039,7 @@ again:
 				break;
 			}
 
-			m_defragged = m_defrag(m_head, MB_DONTWAIT);
+			m_defragged = m_defrag(m_head, M_NOWAIT);
 			if (m_defragged == NULL) {
 				m_freem(m_head);
 				continue;
diff --git a/sys/dev/netif/ral/rt2560.c b/sys/dev/netif/ral/rt2560.c
index 3c4da86..d292aca 100644
--- a/sys/dev/netif/ral/rt2560.c
+++ b/sys/dev/netif/ral/rt2560.c
@@ -669,7 +669,7 @@ rt2560_alloc_rx_ring(struct rt2560_softc *sc, struct rt2560_rx_ring *ring,
 			goto fail;
 		}
 
-		data->m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		data->m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (data->m == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not allocate rx mbuf\n");
@@ -1157,7 +1157,7 @@ rt2560_decryption_intr(struct rt2560_softc *sc)
 		 * mbuf. In the unlikely case that the old mbuf can't be
 		 * reloaded either, explicitly panic.
 		 */
-		mnew = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		mnew = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (mnew == NULL) {
 			IFNET_STAT_INC(ifp, ierrors, 1);
 			goto skip;
@@ -1834,7 +1834,7 @@ rt2560_tx_data(struct rt2560_softc *sc, struct mbuf *m0,
 		return error;
 	}
 	if (error != 0) {
-		mnew = m_defrag(m0, MB_DONTWAIT);
+		mnew = m_defrag(m0, M_NOWAIT);
 		if (mnew == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not defragment mbuf\n");
diff --git a/sys/dev/netif/ral/rt2661.c b/sys/dev/netif/ral/rt2661.c
index 1b5fdf4..33d1f2b 100644
--- a/sys/dev/netif/ral/rt2661.c
+++ b/sys/dev/netif/ral/rt2661.c
@@ -679,7 +679,7 @@ rt2661_alloc_rx_ring(struct rt2661_softc *sc, struct rt2661_rx_ring *ring,
 			goto fail;
 		}
 
-		data->m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		data->m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (data->m == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not allocate rx mbuf\n");
@@ -1028,7 +1028,7 @@ rt2661_rx_intr(struct rt2661_softc *sc)
 		 * mbuf. In the unlikely case that the old mbuf can't be
 		 * reloaded either, explicitly panic.
 		 */
-		mnew = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		mnew = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (mnew == NULL) {
 			IFNET_STAT_INC(ifp, ierrors, 1);
 			goto skip;
@@ -1526,7 +1526,7 @@ rt2661_tx_data(struct rt2661_softc *sc, struct mbuf *m0,
 		return error;
 	}
 	if (error != 0) {
-		mnew = m_defrag(m0, MB_DONTWAIT);
+		mnew = m_defrag(m0, M_NOWAIT);
 		if (mnew == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not defragment mbuf\n");
diff --git a/sys/dev/netif/re/if_re.c b/sys/dev/netif/re/if_re.c
index 8df2e73..8224212 100644
--- a/sys/dev/netif/re/if_re.c
+++ b/sys/dev/netif/re/if_re.c
@@ -814,7 +814,7 @@ re_diag(struct re_softc *sc)
 
 	/* Allocate a single mbuf */
 
-	MGETHDR(m0, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m0, M_NOWAIT, MT_DATA);
 	if (m0 == NULL)
 		return(ENOBUFS);
 
@@ -1741,7 +1741,7 @@ re_newbuf_std(struct re_softc *sc, int idx, int init)
 	struct mbuf *m;
 	int error, nsegs;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		error = ENOBUFS;
 
@@ -1798,7 +1798,7 @@ re_newbuf_jumbo(struct re_softc *sc, int idx, int init)
 	struct re_jbuf *jbuf;
 	int error = 0;
 
-	MGETHDR(m, init ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, init ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		error = ENOBUFS;
 		if (init) {
diff --git a/sys/dev/netif/rl/if_rl.c b/sys/dev/netif/rl/if_rl.c
index 86285fe..b95aa26 100644
--- a/sys/dev/netif/rl/if_rl.c
+++ b/sys/dev/netif/rl/if_rl.c
@@ -1300,7 +1300,7 @@ rl_encap(struct rl_softc *sc, struct mbuf *m_head)
 	 * TX buffers, plus we can only have one fragment buffer
 	 * per packet.  We have to copy pretty much all the time.
 	 */
-	m_new = m_defrag(m_head, MB_DONTWAIT);
+	m_new = m_defrag(m_head, M_NOWAIT);
 	if (m_new == NULL) {
 		m_freem(m_head);
 		return ENOBUFS;
diff --git a/sys/dev/netif/rtw/rtw.c b/sys/dev/netif/rtw/rtw.c
index 6e12f55..9e150ce 100644
--- a/sys/dev/netif/rtw/rtw.c
+++ b/sys/dev/netif/rtw/rtw.c
@@ -1203,7 +1203,7 @@ rtw_rxsoft_alloc(struct rtw_softc *sc, struct rtw_rxsoft *rs, int waitok)
 	struct mbuf *m;
 	int rc;
 
-	m = m_getcl(waitok ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(waitok ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 
@@ -3066,7 +3066,7 @@ rtw_load_txbuf(struct rtw_softc *sc, struct rtw_txsoft *ts,
 		if (error == 0)
 			bus_dmamap_unload(sc->sc_txsoft_dmat, ts->ts_dmamap);
 
-		m_new = m_defrag(m, MB_DONTWAIT);
+		m_new = m_defrag(m, M_NOWAIT);
 		if (m_new == NULL) {
 			if_printf(&sc->sc_ic.ic_if, "can't defrag tx mbuf\n");
 			error = ENOBUFS;
